{ config, lib, ... }:

let
  temp = toString (if config.nomarchy.toggles.nightlight then config.nomarchy.nightlightTemperature else 6500);
in
{
  services.hyprsunset = {
    enable = lib.mkDefault true; # Always enabled, we control via IPC and state
    extraArgs = lib.mkDefault [ "--temperature" temp ];
  };
}
